Skip to content

Return movement history for one readable board item.

GET
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/history
curl --request GET \
--url https://example.com/api/workspace/boards/example/items/example/history
  • None
boardIdOrKey
required
string
boardItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime movement history row.

object
Id
string
nullable
BoardItemId
string
nullable
BoardTransitionId
string
nullable
FromBoardStatusId
string
nullable
FromBoardStatusName
string
nullable
ToBoardStatusId
string
nullable
ToBoardStatusName
string
nullable
FromRankKey
string
nullable
ToRankKey
string
nullable
MovedByUserId
string
nullable
MovedAtUtc
string format: date-time
IsReopen
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime movement history row.

object
Id
string
nullable
BoardItemId
string
nullable
BoardTransitionId
string
nullable
FromBoardStatusId
string
nullable
FromBoardStatusName
string
nullable
ToBoardStatusId
string
nullable
ToBoardStatusName
string
nullable
FromRankKey
string
nullable
ToRankKey
string
nullable
MovedByUserId
string
nullable
MovedAtUtc
string format: date-time
IsReopen
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}